darcs

Issue 2193 darcs apply --test runs the test twice

Title darcs apply --test runs the test twice
Priority bug Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List ilya
Assigned To
Topics

Created on 2012-04-30.23:57:28 by ilya, last changed 2012-05-31.22:23:26 by noreply.

Messages
msg15641 (view) Author: ilya Date: 2012-04-30.23:57:27
darcs apply --test runs the test twice. Function applyItNow calls 
testTentative first and then it calls finalizeRepositoryChanges, 
which calls testTentative again.

Ilya
msg15748 (view) Author: noreply Date: 2012-05-30.20:58:45
The following patch sent by Guillaume Hoffmann <guillaumh@gmail.com> updated issue issue2193 with
status=has-patch

* resolve issue2193 make that finalizeTentativeChanges no longer run tests 
Ignore-this: 9d9de70af076f49441f92d9976037f48
msg15775 (view) Author: noreply Date: 2012-05-31.22:23:25
The following patch sent by Guillaume Hoffmann <guillaumh@gmail.com> updated issue issue2193 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue2193 make that finalizeTentativeChanges no longer run tests 
Ignore-this: 9d9de70af076f49441f92d9976037f48
History
Date User Action Args
2012-04-30 23:57:28ilyacreate
2012-05-26 21:15:22ghlinkissue2152 superseder
2012-05-30 20:58:45noreplysetstatus: unknown -> has-patch
messages: + msg15748
2012-05-31 22:23:26noreplysetstatus: has-patch -> resolved
messages: + msg15775
resolvedin: 2.10.0 HEAD